Fügt Dateien zum Dokument des Vorgangs hinzu
curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'Files=<string>' \
--form 'Model={
"files": [
{
"index": "<string>",
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
}' \
--form Files.items='@example-file'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles"
files = { "Files.items": ("example-file", open("example-file", "rb")) }
payload = {
"Files": "<string>",
"Model": "{
\"files\": [
{
\"index\": \"<string>\",
\"registrationParameters\": [
{
\"key\": \"<string>\",
\"value\": \"<string>\"
}
]
}
]
}"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('Files', '<string>');
form.append('Model', '{
"files": [
{
"index": "<string>",
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
}');
form.append('Files.items', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}TransactionDocuments
Fügt Dateien zum Dokument des Vorgangs hinzu
Lädt einen Satz von Dateien hoch, die im angegebenen Transaktionsdokument verarbeitet werden sollen. Die maximale Größe der zu verarbeitenden Dateien darf 2 GB nicht überschreiten. Die maximale Anzahl pro Vorgang darf beim Process-Skill 1000 nicht überschreiten.
POST
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
documents
/
{documentId}
/
sourceFiles
Fügt Dateien zum Dokument des Vorgangs hinzu
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Transaction-Kennung
Kennung des Vorgangsdokuments
Body
multipart/form-data
Antwort
Dateien wurden dem Vorgangsdokument erfolgreich hinzugefügt
War diese Seite hilfreich?
Löscht das Dokument aus dem angegebenen Vorgang
Zurück
Lädt die Quelldatei des Vorgangs herunter
Weiter
⌘I
